Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.admin.imp
Class SimpleLogAdministrator

    java.lang.Object
      com.atomikos.icatch.admin.imp.SimpleLogAdministrator

All Implemented Interfaces:
  LogAdministrator

    public class SimpleLogAdministrator

extends Object
implements LogAdministrator

A simple log administrator that can be used for different UI technologies.

Constructor Summary
`protected` | `SimpleLogAdministrator()`

Method Summary
`void` | `deregisterLogControl(LogControl ctrl)` De-registers (removes) a LogControl instance from the administrator.
`static SimpleLogAdministrator` | `getInstance()`
`LogControl` | `getLogControl()`
`void` | `registerLogControl(LogControl ctrl)` Registers (adds) a LogControl instance to the administrator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLogAdministrator

    protected SimpleLogAdministrator()

Method Detail

### getInstance

    public static SimpleLogAdministrator getInstance()

### registerLogControl

    public void registerLogControl(LogControl ctrl)

  Description copied from interface: `LogAdministrator`
  Registers (adds) a LogControl instance to the administrator. This method is typically called right after initialization of the transaction service.

  Specified by:
    `registerLogControl` in interface `LogAdministrator`
  Parameters:
    `ctrl` - The LogControl instance.

### deregisterLogControl

    public void deregisterLogControl(LogControl ctrl)

  Description copied from interface: `LogAdministrator`
  De-registers (removes) a LogControl instance from the administrator. This method is typically called at shutdown of the transaction service.

  Specified by:
    `deregisterLogControl` in interface `LogAdministrator`
  Parameters:
    `ctrl` - The LogControl instance to remove. Does nothing if the control is not registered.

### getLogControl

    public LogControl getLogControl()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.